<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="net.pokeranalytics.android">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <application
        android:name=".PokerAnalyticsApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/PokerAnalyticsTheme">

        <meta-data
            android:name="firebase_crashlytics_collection_enabled"
            android:value="false" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.HomeActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name="net.pokeranalytics.android.ui.activity.SessionActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustNothing" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.BankrollActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.BankrollDetailsActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.SettingsActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.StatisticDetailsActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.ReportDetailsActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.CalendarDetailsActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.ComparisonChartActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.DataListActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.EditableDataActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.CurrenciesActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.FiltersActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.FilterDetailsActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="net.pokeranalytics.android.ui.activity.GDPRActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <meta-data
            android:name="preloaded_fonts"
            android:resource="@array/preloaded_fonts" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

    </application>

</manifest>